import Vue from 'vue'
import App from './App.vue'

import VueCompositionAPI from '@vue/composition-api'
Vue.use(VueCompositionAPI)

import 'normalize.css'
// import 'default-passive-events'

import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'
Vue.use(ElementUI,{zIndex:1000})

import { createPinia, PiniaVuePlugin } from 'pinia'
Vue.use(PiniaVuePlugin)

import router from './router'

import axios from 'axios'
Vue.prototype.$axios = axios

import permission from '@/directive/permission'
console.log('permission :>> ', permission);
Vue.directive('permission', permission)
import 'virtual:windi.css';
import printJS from "print-js";
import 'print-js/dist/print.css';
Vue.prototype.$print = printJS;
new Vue({
  el: '#app',
  pinia: createPinia(),
  router,
  render: (h) => h(App),
})
